# dnli_s Struct Reference
[PAYLOAD.]

Directory name iterator. More...

## Data Fields
rpmfi | fi
char * | active
int | reverse
int | isave
int | i

## Detailed Description

Directory name iterator.

Definition at line 230 of file fsm.c.

## Field Documentation

rpmfi dnli_s::fi

Definition at line 231 of file fsm.c.

Referenced by dnlCount(), dnlInitIterator(), and dnlNextIterator().

char* dnli_s::active

Definition at line 233 of file fsm.c.

Referenced by dnlFreeIterator(), dnlInitIterator(), and dnlNextIterator().

int dnli_s::reverse

Definition at line 234 of file fsm.c.

Referenced by dnlInitIterator(), and dnlNextIterator().

int dnli_s::isave

Definition at line 235 of file fsm.c.

Referenced by dnlIndex(), and dnlNextIterator().

int dnli_s::i

Definition at line 236 of file fsm.c.

Referenced by dnlInitIterator(), and dnlNextIterator().

The documentation for this struct was generated from the following file:

- lib/fsm.c